package javax.lang.model.util;

import javax.lang.model.element.AnnotationValue;
import java.util.List;
import javax.lang.model.element.AnnotationMirror;
import javax.lang.model.element.VariableElement;
import javax.lang.model.type.TypeMirror;
import javax.lang.model.SourceVersion;
import javax.annotation.processing.SupportedSourceVersion;

@SupportedSourceVersion(SourceVersion.RELEASE_6)
public class SimpleAnnotationValueVisitor6<R, P> extends AbstractAnnotationValueVisitor6<R, P>
{
    protected final R DEFAULT_VALUE;
    
    protected SimpleAnnotationValueVisitor6() {
        this.DEFAULT_VALUE = null;
    }
    
    protected SimpleAnnotationValueVisitor6(R default_VALUE) {
        this.DEFAULT_VALUE = default_VALUE;
    }
    
    protected R defaultAction(Object o, P p2) {
        return this.DEFAULT_VALUE;
    }
    
    @Override
    public R visitBoolean(boolean b, P p2) {
        return this.defaultAction(Boolean.valueOf(b), p2);
    }
    
    @Override
    public R visitByte(byte b, P p2) {
        return this.defaultAction(Byte.valueOf(b), p2);
    }
    
    @Override
    public R visitChar(char c, P p2) {
        return this.defaultAction(Character.valueOf(c), p2);
    }
    
    @Override
    public R visitDouble(double d, P p2) {
        return this.defaultAction(Double.valueOf(d), p2);
    }
    
    @Override
    public R visitFloat(float f, P p2) {
        return this.defaultAction(Float.valueOf(f), p2);
    }
    
    @Override
    public R visitInt(int i, P p2) {
        return this.defaultAction(Integer.valueOf(i), p2);
    }
    
    @Override
    public R visitLong(long l, P p2) {
        return this.defaultAction(Long.valueOf(l), p2);
    }
    
    @Override
    public R visitShort(short s, P p2) {
        return this.defaultAction(Short.valueOf(s), p2);
    }
    
    @Override
    public R visitString(String s, P p2) {
        return this.defaultAction(s, p2);
    }
    
    @Override
    public R visitType(TypeMirror typeMirror, P p2) {
        return this.defaultAction(typeMirror, p2);
    }
    
    @Override
    public R visitEnumConstant(VariableElement variableElement, P p2) {
        return this.defaultAction(variableElement, p2);
    }
    
    @Override
    public R visitAnnotation(AnnotationMirror annotationMirror, P p2) {
        return this.defaultAction(annotationMirror, p2);
    }
    
    @Override
    public R visitArray(List<? extends AnnotationValue> list, P p2) {
        return this.defaultAction(list, p2);
    }
}
